Bug 661957 - xchat sound playing method 'Automatic' produces no sound
xchat sound playing method 'Automatic' produces no sound
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xchat (Show other bugs)
14
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Kevin Kofler
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-10 00:12 EST by Dave Allan
Modified: 2016-04-26 23:44 EDT (History)
3 users (show)

See Also:
Fixed In Version: xchat-2.8.8-6.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-18 17:55:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dave Allan 2010-12-10 00:12:35 EST
Description of problem:
I installed F14 and noticed that xchat no longer played sounds on events as it had in F12.  I have Settings->Preferences->Sound->Sound playing method set to 'Automatic' and stracing xchat showed that it was looking for a bunch of external binaries none of which were installed on my system (aplay, esdplay, soxplay, artsplay).

I was able to get sound by installing alsa-utils which contains aplay.

My $.02US is that this could either be fixed in the spec file by requiring alsa-utils as a dependency, or with a code fix popping up an error saying that no external program could be found and listing the possibilities.  Just being silent is kind of rough on the user trying to figure out why there's no sound, especially when there's an explicit option for using an external program.  I looked a bunch of other places before the strace showed that despite being set to automatic, it was still using an external program, just ones that it chose.

Version-Release number of selected component (if applicable):
xchat-2.8.8-4.fc14.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Install F14 Software Development package set
2. Set Settings->Preferences->Sound->Sound playing method to 'Automatic'
3. Select a wav file & press play
  
Actual results:
No sound

Expected results:
Sound plays

Additional info:
Comment 1 Kevin Kofler 2010-12-10 10:29:57 EST
alsa-utils is supposed to be installed by default as a dependency of alsa-plugins-pulseaudio.

But I'll add the dependency to xchat.
Comment 2 Fedora Update System 2010-12-10 11:39:59 EST
xchat-2.8.8-6.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/xchat-2.8.8-6.fc14
Comment 3 Fedora Update System 2010-12-10 11:40:41 EST
xchat-2.8.8-6.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/xchat-2.8.8-6.fc13
Comment 4 Dave Allan 2010-12-10 14:28:29 EST
Wow, that was fast!  :)
Comment 5 Fedora Update System 2010-12-10 15:30:39 EST
xchat-2.8.8-6.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xchat'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/xchat-2.8.8-6.fc14
Comment 6 Fedora Update System 2010-12-18 17:53:33 EST
xchat-2.8.8-6.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2010-12-18 17:55:30 EST
xchat-2.8.8-6.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.